import UIKit

var arraySort = [9,3,6,2,8,5]
arraySort.sort(){ $0 < $1 }
for i in arraySort {
    print(i)
}
// Zmienna arraySort zawiera wartości 2, 3, 5, 6, 8 i 9.

var arraySort2 = [9,3,6,2,8,5]
arraySort2.sort(){ $1 < $0 }
for i in arraySort2 {
    print(i)
}
// Zmienna arraySort2 zawiera wartości 9, 8, 6, 5, 3 i 2.

var arraySorted = [9,3,6,2,8,5]
let sorted = arraySorted.sorted(){ $0 < $1 }
// Stałą sorted zawiera wartości 2, 3, 5, 6, 8 i 9.
// Zmienna arraySorted zawiera wartości 9, 3, 6, 2, 8 i 5.
for i in sorted {
    print("--",i)
}

var arrayFiltered = [1,2,3,4,5,6,7,8,9]
let filtered = arrayFiltered.filter{$0 > 3 && $0 < 7}
// Stała filtered zawiera wartości 4, 5 i 6.
for i in filtered {
    print(i)
}


var city = ["Boston", "Londyn", "Chicago", "Atlanta"]
let filtered2 = city.filter{$0.range(of:"o") != nil}
// Stała filtered2 zawiera wartości “Boston”, “Londyn” i “Chicago”.
for i in filtered2 {
    print(i)
}

var arrayMap = [10, 20, 30, 40]
let applied = arrayMap.map{ $0 / 10}
// Stała applied zawiera wartości 1, 2, 3 i 4.
for i in applied {
    print(i)
}

var arrayMap2 = [1, 2, 3, 4]
let applied2 = arrayMap2.map{ "Num:\($0)"}
// Stała applied2 zawiera wartości “num:1”, “num:2”, “num:3” i “num:4”.

var arrayOne = [10, 20, 30, 40]
arrayOne.forEach{ print($0) }


var arr = ["jeden", "dwa", "trzy"]
for item in arr {
    print(item)
}

for (index,value) in arr.enumerated() {
    print("\(index) \(value)")
}

